﻿namespace Model;

public class InfoTitle : Title
{
    public Artist Artiste { get; set; }

    public string Description
    {
        get => description;

        set
        {
            if (value != null && value.Length < 500)
            {
                description = value;
            }
        }
    }

    private string description ="";

    private List<Artist> feat = new List<Artist>();

    public IEnumerable<Artist> Feat
    {
        get
        {
            return feat.ToList();
        }
    }

    public Genre Genre { get; set; }

    public InfoTitle(string name, string imageURL, string information, Artist artist, string description, Genre genre) : base(name,imageURL,information)
    {
        Artiste = artist;
        Description = description;
        Genre = genre;
    }

    public void AddFeat(Artist artist)
    {
        feat.Add(artist);
    }
    public void RemoveFeat(Artist artiste)
    {
        foreach (var item in Feat)
        {
            feat = Feat.Where(item => item != artiste).ToList();
        }
    }

}
