﻿namespace Model.Stub;

public class Manager
{
    public IDataManager DataManager { get; set; }

    private List<Album> albums = new List<Album>();

    public IEnumerable<Album> Albums
    {
        get
        {
            return albums.ToList();
        }
    }

    private List<Title> titles = new List<Title>();

    public IEnumerable<Title> Titles
    {
        get
        {
            return titles.ToList();
        }
    }

    private List<Playlist> playlists = new List<Playlist>();

    public IEnumerable<Playlist> Playlists
    {
        get
        {
            return playlists.ToList();
        }
    }

    private List<Artist> artists = new List<Artist>();

    public IEnumerable<Artist> Artists
    {
        get
        {
            return artists.ToList();
        }
    }

    public Manager()
    {
        DataManager = new StubManager();

        albums = DataManager.GetAlbums();
        titles = DataManager.GetTitles();
        playlists = DataManager.GetPlaylists();
        artists = DataManager.GetArtists();
    }

    public void AddAlbum(Album album)
    {
        DataManager.AddAlbum(album);
        albums = DataManager.GetAlbums();
    }

    public void AddTitle(Title title)
    {
        DataManager.AddTitle(title);
        titles = DataManager.GetTitles();
    }
    public void AddPlaylist(Playlist playlist)
    {
        DataManager.AddPlaylist(playlist);
        playlists = DataManager.GetPlaylists();
    }

    public void RemoveAlbum(Album album)
    {
        DataManager.RemoveAlbum(album);
        albums = DataManager.GetAlbums();
    }

    public void RemoveTitle(Title title)
    {
        DataManager.RemoveTitle(title);
        titles = DataManager.GetTitles();
    }

    public void RemovePlaylist(Playlist playlist)
    {
        DataManager.RemovePlaylist(playlist);
        playlists = DataManager.GetPlaylists();
    }

    public IEnumerable<Album> GetAlbums()
    {
        return DataManager.GetAlbums();
    }

    public IEnumerable<Title> GetTitles()
    {
        return DataManager.GetTitles();
    }

    public IEnumerable<Artist> GetArtists()
    {
        return DataManager.GetArtists();
    }

}
